Index: tmp/org.txm.utils/src/org/txm/utils/CsvReader.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/CsvReader.java	(revision 2401)
+++ tmp/org.txm.utils/src/org/txm/utils/CsvReader.java	(revision 2402)
@@ -1413,11 +1379,8 @@
 		if (columnsCount >= 100000 && userSettings.SafetySwitch) {
 			close();
 
-			throw new IOException(
-					"Maximum column count of 100,000 exceeded in record " //$NON-NLS-1$
-					+ NumberFormat.getIntegerInstance().format(
-							currentRecord)
-					+ ". Set the SafetySwitch property to false" //$NON-NLS-1$
+			throw new IOException("Maximum column count of 100,000 exceeded in record " //$NON-NLS-1$
+					+ NumberFormat.getIntegerInstance().format(currentRecord) + ". Set the SafetySwitch property to false" //$NON-NLS-1$
 					+ " if you're expecting more than 100,000 columns per record to" //$NON-NLS-1$
 					+ " avoid this error."); //$NON-NLS-1$
 		}
@@ -1438,8 +1401,7 @@
 
 			boolean[] qualifiedHolder = new boolean[newLength];
 
-			System.arraycopy(isQualified, 0, qualifiedHolder, 0,
-					isQualified.length);
+			System.arraycopy(isQualified, 0, qualifiedHolder, 0, isQualified.length);
 
 			isQualified = qualifiedHolder;
 		}
@@ -1456,7 +1418,8 @@
 	/**
 	 * Append letter.
 	 *
-	 * @param letter the letter
+	 * @param letter
+	 *            the letter
 	 */
 	private void appendLetter(char letter) {
 		if (columnBuffer.Position == columnBuffer.Buffer.length) {
@@ -1464,8 +1427,7 @@
 
 			char[] holder = new char[newLength];
 
-			System.arraycopy(columnBuffer.Buffer, 0, holder, 0,
-					columnBuffer.Position);
+			System.arraycopy(columnBuffer.Buffer, 0, holder, 0, columnBuffer.Position);
 
 			columnBuffer.Buffer = holder;
 		}
@@ -1478,27 +1440,19 @@
 	 */
 	private void updateCurrentValue() {
 		if (startedColumn && dataBuffer.ColumnStart < dataBuffer.Position) {
-			if (columnBuffer.Buffer.length - columnBuffer.Position < dataBuffer.Position
-					- dataBuffer.ColumnStart) {
-				int newLength = columnBuffer.Buffer.length
-						+ Math.max(
-								dataBuffer.Position - dataBuffer.ColumnStart,
-								columnBuffer.Buffer.length);
+			if (columnBuffer.Buffer.length - columnBuffer.Position < dataBuffer.Position - dataBuffer.ColumnStart) {
+				int newLength = columnBuffer.Buffer.length + Math.max(dataBuffer.Position - dataBuffer.ColumnStart, columnBuffer.Buffer.length);
 
 				char[] holder = new char[newLength];
 
-				System.arraycopy(columnBuffer.Buffer, 0, holder, 0,
-						columnBuffer.Position);
+				System.arraycopy(columnBuffer.Buffer, 0, holder, 0, columnBuffer.Position);
 
 				columnBuffer.Buffer = holder;
 			}
 
-			System.arraycopy(dataBuffer.Buffer, dataBuffer.ColumnStart,
-					columnBuffer.Buffer, columnBuffer.Position,
-					dataBuffer.Position - dataBuffer.ColumnStart);
+			System.arraycopy(dataBuffer.Buffer, dataBuffer.ColumnStart, columnBuffer.Buffer, columnBuffer.Position, dataBuffer.Position - dataBuffer.ColumnStart);
 
-			columnBuffer.Position += dataBuffer.Position
-					- dataBuffer.ColumnStart;
+			columnBuffer.Position += dataBuffer.Position - dataBuffer.ColumnStart;
 		}
 
 		dataBuffer.ColumnStart = dataBuffer.Position + 1;
@@ -1507,8 +1461,9 @@
 	/**
 	 * End record.
 	 *
-	 * @throws IOException Thrown if an error occurs while reading data from the
-	 * source stream.
+	 * @throws IOException
+	 *             Thrown if an error occurs while reading data from the source
+	 *             stream.
 	 */
 	private void endRecord() throws IOException {
 		// this flag is used as a loop exit condition
@@ -1522,10 +1477,12 @@
 	/**
 	 * Gets the corresponding column index for a given column header name.
 	 *
-	 * @param headerName The header name of the column.
-	 * @return The column index for the given column header name.&nbsp;Returns
-	 * -1 if not found.
-	 * @throws IOException Thrown if this object has already been closed.
+	 * @param headerName
+	 *            The header name of the column.
+	 * @return The column index for the given column header name.&nbsp;Returns -1 if
+	 *         not found.
+	 * @throws IOException
+	 *             Thrown if this object has already been closed.
 	 */
 	public int getIndex(String headerName) throws IOException {
 		checkClosed();
@@ -1540,13 +1497,13 @@
 	}
 
 	/**
-	 * Skips the next record of data by parsing each column.&nbsp;Does not
-	 * increment
+	 * Skips the next record of data by parsing each column.&nbsp;Does not increment
 	 *
 	 * @return Whether another record was successfully skipped or not.
-	 * @throws IOException Thrown if an error occurs while reading data from the
-	 * source stream.
-	 * {@link com.csvreader.CsvReader#getCurrentRecord getCurrentRecord()}.
+	 * @throws IOException
+	 *             Thrown if an error occurs while reading data from the source
+	 *             stream. {@link com.csvreader.CsvReader#getCurrentRecord
+	 *             getCurrentRecord()}.
 	 */
 	public boolean skipRecord() throws IOException {
 		checkClosed();
@@ -1569,8 +1526,9 @@
 	 * does not do any column delimited parsing.
 	 *
 	 * @return Whether a line was successfully skipped or not.
-	 * @throws IOException Thrown if an error occurs while reading data from the
-	 * source stream.
+	 * @throws IOException
+	 *             Thrown if an error occurs while reading data from the source
+	 *             stream.
 	 */
 	public boolean skipLine() throws IOException {
 		checkClosed();
@@ -1594,8 +1552,7 @@
 
 					char currentLetter = dataBuffer.Buffer[dataBuffer.Position];
 
-					if (currentLetter == Letters.CR
-							|| currentLetter == Letters.LF) {
+					if (currentLetter == Letters.CR || currentLetter == Letters.LF) {
 						foundEol = true;
 					}
 
@@ -1636,7 +1593,8 @@
 	/**
 	 * Close.
 	 *
-	 * @param closing the closing
+	 * @param closing
+	 *            the closing
 	 */
 	private void close(boolean closing) {
 		if (!closed) {
@@ -1666,16 +1624,18 @@
 	/**
 	 * Check closed.
 	 *
-	 * @throws IOException Thrown if this object has already been closed.
+	 * @throws IOException
+	 *             Thrown if this object has already been closed.
 	 */
 	private void checkClosed() throws IOException {
 		if (closed) {
-			throw new IOException(
-					"This instance of the CsvReader class has already been closed."); //$NON-NLS-1$
+			throw new IOException("This instance of the CsvReader class has already been closed."); //$NON-NLS-1$
 		}
 	}
 
-	/* (non-Javadoc)
+	/*
+	 * (non-Javadoc)
+	 * 
 	 * @see java.lang.Object#finalize()
 	 */
 	@Override
@@ -1704,7 +1664,8 @@
 	/**
 	 * Hex to dec.
 	 *
-	 * @param hex the hex
+	 * @param hex
+	 *            the hex
 	 * @return the char
 	 */
 	private static char hexToDec(char hex) {
@@ -1797,8 +1758,7 @@
 		 * Instantiates a new raw record buffer.
 		 */
 		public RawRecordBuffer() {
-			Buffer = new char[StaticSettings.INITIAL_COLUMN_BUFFER_SIZE
-			                  * StaticSettings.INITIAL_COLUMN_COUNT];
+			Buffer = new char[StaticSettings.INITIAL_COLUMN_BUFFER_SIZE * StaticSettings.INITIAL_COLUMN_COUNT];
 			Position = 0;
 		}
 	}
Index: tmp/org.txm.utils/src/org/txm/utils/messages/Utf8NLS.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/messages/Utf8NLS.java	(revision 2401)
+++ tmp/org.txm.utils/src/org/txm/utils/messages/Utf8NLS.java	(revision 2402)
@@ -5,7 +5,6 @@
 
 import org.eclipse.osgi.util.NLS;
 
-
 /**
  * Class that manages UTF-8 encoding for .properties messages files.
  * 
@@ -18,15 +17,17 @@
 	private static final int MOD_MASK = MOD_EXPECTED | Modifier.FINAL;
 
 	/**
-	 *  initialize UTF-8 messages using the Message class package path as base name
+	 * initialize UTF-8 messages using the Message class package path as base name
+	 * 
 	 * @param clazz
 	 */
 	public static void initializeMessages(Class<?> clazz) {
-		initializeMessages(clazz.getPackage().getName()+".messages", clazz);
+		initializeMessages(clazz.getPackage().getName() + ".messages", clazz);
 	}
-	
+
 	/**
 	 * Initializes messages using UTF-8 encoding.
+	 * 
 	 * @param baseName
 	 * @param clazz
 	 */
@@ -37,24 +38,23 @@
 		// re-encode the fields
 		final Field[] fieldArray = clazz.getDeclaredFields();
 		final int len = fieldArray.length;
-		for(int i = 0; i < len; i++) {
+		for (int i = 0; i < len; i++) {
 			final Field field = (Field) fieldArray[i];
-			
+
 			if ((field.getModifiers() & MOD_MASK) != MOD_EXPECTED) // only init public static fields
 				continue;
-			
-			if(field.getType() != java.lang.String.class) 
+
+			if (field.getType() != java.lang.String.class)
 				continue;
 
-			if(!field.isAccessible())
+			if (!field.isAccessible())
 				field.setAccessible(true);
 			try {
 				final String rawValue = (String) field.get(null);
 				field.set(null, new String(rawValue.getBytes("ISO-8859-1"), "UTF-8")); //$NON-NLS-1$ //$NON-NLS-2$
+			} catch (Exception e) {
+				// e.printStackTrace();
 			}
-			catch(Exception e) {
-				//	e.printStackTrace();
-			}
 		}
 	}
 }
Index: tmp/org.txm.utils/src/org/txm/utils/SparseList.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/SparseList.java	(revision 2401)
+++ tmp/org.txm.utils/src/org/txm/utils/SparseList.java	(revision 2402)
@@ -37,7 +37,8 @@
 /**
  * The Class SparseList.
  *
- * @param <E> the element type
+ * @param <E>
+ *            the element type
  */
 public class SparseList<E> extends AbstractList<E> {
 
@@ -51,7 +52,9 @@
 		map = new TreeMap<Integer, E>();
 	}
 
-	/* (non-Javadoc)
+	/*
+	 * (non-Javadoc)
+	 * 
 	 * @see java.util.AbstractList#get(int)
 	 */
 	@Override
@@ -60,16 +63,18 @@
 	}
 
 	/**
-	 * Returns all the elements between from (included) and to(excluded). Values
-	 * not in the list are returned as null
+	 * Returns all the elements between from (included) and to(excluded). Values not
+	 * in the list are returned as null
 	 *
-	 * @param from the from
-	 * @param to the to
+	 * @param from
+	 *            the from
+	 * @param to
+	 *            the to
 	 * @return A list whose size is to-form
 	 */
 	public List<E> getRange(int from, int to) {
 		List<E> res = new ArrayList<E>();
-		//if (from > to) System.out.println("ERROR: "+from+" > "+to);
+		// if (from > to) System.out.println("ERROR: "+from+" > "+to);
 		SortedMap<Integer, E> subMap = map.subMap(from, to);
 		if (subMap.size() == (to - from))
 			res.addAll(subMap.values());
@@ -79,7 +84,9 @@
 		return res;
 	}
 
-	/* (non-Javadoc)
+	/*
+	 * (non-Javadoc)
+	 * 
 	 * @see java.util.AbstractCollection#size()
 	 */
 	@Override
@@ -87,7 +94,9 @@
 		return map.size();
 	}
 
-	/* (non-Javadoc)
+	/*
+	 * (non-Javadoc)
+	 * 
 	 * @see java.util.AbstractList#add(int, java.lang.Object)
 	 */
 	@Override
Index: tmp/org.txm.utils/src/org/txm/utils/i18n/DetectBOM.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/i18n/DetectBOM.java	(revision 2401)
+++ tmp/org.txm.utils/src/org/txm/utils/i18n/DetectBOM.java	(revision 2402)
@@ -8,22 +8,25 @@
 
 /**
  * Simple class to detect BOM in a file
+ * 
  * @see http://blog.ymango.com/2010/09/16/29
  * 
  * @author mdecorde
  *
  */
 public class DetectBOM {
-	
+
 	Charset enc = null;
-	int n, unread,size;
+	int n, unread, size;
+
 	/**
 	 * 
-	 * @param srcFile the file to test
+	 * @param srcFile
+	 *            the file to test
 	 */
 	public DetectBOM(File srcFile) {
 		// *** Use Default of Encoding.Default (Ansi CodePage)
-			
+
 		try {
 			// *** Detect byte order mark if any - otherwise assume default
 			byte[] buffer = new byte[4];
@@ -32,36 +35,33 @@
 			file.close();
 
 			String encoding = null;
-			if ((buffer[0] == (byte) 0x00) && (buffer[1] == (byte) 0x00)
-					&& (buffer[2] == (byte) 0xFE) && (buffer[3] == (byte) 0xFF)) {
+			if ((buffer[0] == (byte) 0x00) && (buffer[1] == (byte) 0x00) && (buffer[2] == (byte) 0xFE) && (buffer[3] == (byte) 0xFF)) {
 				encoding = "UTF-32BE"; //$NON-NLS-1$
 				unread = n - 4;
-				size=4;
-			} else if ((buffer[0] == (byte) 0xFF) && (buffer[1] == (byte) 0xFE)
-					&& (buffer[2] == (byte) 0x00) && (buffer[3] == (byte) 0x00)) {
+				size = 4;
+			} else if ((buffer[0] == (byte) 0xFF) && (buffer[1] == (byte) 0xFE) && (buffer[2] == (byte) 0x00) && (buffer[3] == (byte) 0x00)) {
 				encoding = "UTF-32LE"; //$NON-NLS-1$
 				unread = n - 4;
-				size=4;
-			} else if ((buffer[0] == (byte) 0xEF) && (buffer[1] == (byte) 0xBB)
-					&& (buffer[2] == (byte) 0xBF)) {
+				size = 4;
+			} else if ((buffer[0] == (byte) 0xEF) && (buffer[1] == (byte) 0xBB) && (buffer[2] == (byte) 0xBF)) {
 				encoding = "UTF-8"; //$NON-NLS-1$
 				unread = n - 3;
-				size=3;
+				size = 3;
 			} else if ((buffer[0] == (byte) 0xFE) && (buffer[1] == (byte) 0xFF)) {
 				encoding = "UTF-16BE"; //$NON-NLS-1$
 				unread = n - 2;
-				size=2;
+				size = 2;
 			} else if ((buffer[0] == (byte) 0xFF) && (buffer[1] == (byte) 0xFE)) {
 				encoding = "UTF-16LE"; //$NON-NLS-1$
 				unread = n - 2;
-				size=4;
+				size = 4;
 			} else {
 				// Unicode BOM mark not found, unread all bytes
 				// encoding = "UTF-8";
 				unread = n;
-				size=0;
+				size = 0;
 			}
-			if(encoding != null)
+			if (encoding != null)
 				enc = Charset.forName(encoding);
 
 		} catch (FileNotFoundException e) {
@@ -69,40 +69,38 @@
 		} catch (IOException e) {
 			org.txm.utils.logger.Log.printStackTrace(e);
 		}
-		//System.out.println("BOM size: "+size);
-		//return enc;
+		// System.out.println("BOM size: "+size);
+		// return enc;
 	}
-	
+
 	/**
 	 * 
-	 * @return if the file has a BOM, return the encoding, else return file system encoding
+	 * @return if the file has a BOM, return the encoding, else return file system
+	 *         encoding
 	 */
-	public Charset getCharSet()
-	{
-		if(enc != null)
+	public Charset getCharSet() {
+		if (enc != null)
 			return enc;
 		else
 			return Charset.forName(System.getProperty("file.encoding")); //$NON-NLS-1$
 	}
-	
+
 	/**
 	 * 
 	 * @return the number of byte to skip to read the file
 	 */
-	public int getBOMSize()
-	{
+	public int getBOMSize() {
 		return size;
 	}
-	
+
 	/**
 	 * 
 	 * @return true if the file has a BOM
 	 */
-	public boolean hasBOM()
-	{
+	public boolean hasBOM() {
 		return size > 0;
 	}
-	
+
 	public static void main(String args[]) {
 		DetectBOM db = new DetectBOM(new File(System.getProperty("user.home"), "xml/SUPPORT/CS/3-revues_eng_complet2.txt"));
 		System.out.println(db.getBOMSize());
Index: tmp/org.txm.utils/src/org/txm/utils/i18n/LangFormater.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/i18n/LangFormater.java	(revision 2401)
+++ tmp/org.txm.utils/src/org/txm/utils/i18n/LangFormater.java	(revision 2402)
@@ -18,130 +18,136 @@
 // You should have received a copy of the GNU General
 // Public License along with the TXM platform. If not, see
 // http://www.gnu.org/licenses.
-
-//
-// This file is part of the TXM platform.
-//
-// The TXM platform is free software: you can redistribute it and/or modif y
-// it under the terms of the GNU General Public License as published by
-// the Free Software Foundation, either version 3 of the License, or
-// (at your option) any later version.
-//
-// The TXM platform is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with the TXM platform.  If not, see <http://www.gnu.org/licenses/>.
-// 
-// 
-// 
-// $LastChangedDate: 2016-12-15 10:26:28 +0100 (Thu, 15 Dec 2016) $
-// $LastChangedRevision: 3368 $
-// $LastChangedBy: mdecorde $ 
-//
-package org.txm.utils.i18n;
-
-import java.util.ArrayList;
+
+//
+// This file is part of the TXM platform.
+//
+// The TXM platform is free software: you can redistribute it and/or modif y
+// it under the terms of the GNU General Public License as published by
+// the Free Software Foundation, either version 3 of the License, or
+// (at your option) any later version.
+//
+// The TXM platform is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License
+// along with the TXM platform.  If not, see <http://www.gnu.org/licenses/>.
+// 
+// 
+// 
+// $LastChangedDate: 2016-12-15 10:26:28 +0100 (Thu, 15 Dec 2016) $
+// $LastChangedRevision: 3368 $
+// $LastChangedBy: mdecorde $ 
+//
+package org.txm.utils.i18n;
+
+import java.util.ArrayList;
 import java.util.Arrays;
 import java.util.HashMap;
 import java.util.List;
-import java.util.Locale;
-
-// TODO: Auto-generated Javadoc
-/**
- * depending on the locale, remove or add spaces between words.
- *
- * @author mdecorde
- */
-public class LangFormater {
-
-	/** The FR no space before. */
-	static List<String> FRNoSpaceBefore = Arrays.asList(",", ".", ")", "]", "}", "°" ); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$
-	
-	/** The FR no space after. */
-	static List<String> FRNoSpaceAfter = Arrays.asList( "’", "'", "(", "[", "{" ); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ 
-
-	/** The FRO no space before. */
-	static List<String> FRONoSpaceBefore = Arrays.asList( ",", ".", ")", "]", "}", "°" ); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$
-	
-	/** The FRO no space after. */
-	static List<String> FRONoSpaceAfter = Arrays.asList( "’", "'", "(", "[", "{" ); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ 
-
-	/** The EN no space before. */
-	static List<String> ENNoSpaceBefore = Arrays.asList( ":", "!", "?", ";", ",", ".", ")", "]", //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$ //$NON-NLS-7$ //$NON-NLS-8$
+import java.util.Locale;
+
+// TODO: Auto-generated Javadoc
+/**
+ * depending on the locale, remove or add spaces between words.
+ *
+ * @author mdecorde
+ */
+public class LangFormater {
+
+	/** The FR no space before. */
+	static List<String> FRNoSpaceBefore = Arrays.asList(",", ".", ")", "]", "}", "°"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$
+
+	/** The FR no space after. */
+	static List<String> FRNoSpaceAfter = Arrays.asList("’", "'", "(", "[", "{"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
+
+	/** The FRO no space before. */
+	static List<String> FRONoSpaceBefore = Arrays.asList(",", ".", ")", "]", "}", "°"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$
+
+	/** The FRO no space after. */
+	static List<String> FRONoSpaceAfter = Arrays.asList("’", "'", "(", "[", "{"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
+
+	/** The EN no space before. */
+	static List<String> ENNoSpaceBefore = Arrays.asList(":", "!", "?", ";", ",", ".", ")", "]", //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$ //$NON-NLS-7$ //$NON-NLS-8$
 			"}", "»", "°", //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-			"'s","'re","'ve","'d","'m","'em","'ll","n't"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$ //$NON-NLS-7$ //$NON-NLS-8$
-	
-	/** The EN no space after. */
-	static List<String> ENNoSpaceAfter = Arrays.asList( "'", "(", "[", "{", "«" ); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
+			"'s", "'re", "'ve", "'d", "'m", "'em", "'ll", "n't"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$ //$NON-NLS-7$ //$NON-NLS-8$
 
-	/**
-	 * Gets the no space before.
-	 *
-	 * @param lang the lang
-	 * @return the no space before
-	 */
+	/** The EN no space after. */
+	static List<String> ENNoSpaceAfter = Arrays.asList("'", "(", "[", "{", "«"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
+
+	/**
+	 * Gets the no space before.
+	 *
+	 * @param lang
+	 *            the lang
+	 * @return the no space before
+	 */
 	public static List<String> getNoSpaceBefore(String lang) {
-		
-		if (lang.startsWith("fr") || lang.startsWith("FR")) //$NON-NLS-1$ //$NON-NLS-2$
-			return (FRNoSpaceBefore);
-		else if (lang.startsWith("en") || lang.startsWith("EN") //$NON-NLS-1$ //$NON-NLS-2$
-				|| lang.startsWith("us") || lang.startsWith("US")) //$NON-NLS-1$ //$NON-NLS-2$
-			return (ENNoSpaceBefore);
-		else
+
+		if (lang.startsWith("fr") || lang.startsWith("FR")) //$NON-NLS-1$ //$NON-NLS-2$
+			return (FRNoSpaceBefore);
+		else if (lang.startsWith("en") || lang.startsWith("EN") //$NON-NLS-1$ //$NON-NLS-2$
+				|| lang.startsWith("us") || lang.startsWith("US")) //$NON-NLS-1$ //$NON-NLS-2$
 			return (ENNoSpaceBefore);
-	}
-
-	/**
-	 * Gets the no space after.
-	 *
-	 * @param lang the lang
-	 * @return the no space after
-	 */
+		else
+			return (ENNoSpaceBefore);
+	}
+
+	/**
+	 * Gets the no space after.
+	 *
+	 * @param lang
+	 *            the lang
+	 * @return the no space after
+	 */
 	public static List<String> getNoSpaceAfter(String lang) {
-		
-		if (lang.startsWith("fr") || lang.startsWith("FR")) //$NON-NLS-1$ //$NON-NLS-2$
-			return (FRNoSpaceAfter);
-		else if (lang.startsWith("en") || lang.startsWith("EN") //$NON-NLS-1$ //$NON-NLS-2$
-				|| lang.startsWith("us") || lang.startsWith("US")) //$NON-NLS-1$ //$NON-NLS-2$
-			return (ENNoSpaceAfter);
-		else
-			return (ENNoSpaceAfter);
-	}
-
-	/**
-	 * Format.
-	 *
-	 * @param str the str
-	 * @param lang the lang
-	 * @return the string
-	 */
-	public static String format(String str, String lang) {
-		if (lang == null)
-			lang = Locale.getDefault().getLanguage();
-		for (String punc : getNoSpaceAfter(lang)) {
-			str = str.replace(punc + " ", punc); //$NON-NLS-1$
-		}
-
-		for (String punc : getNoSpaceBefore(lang)) {
-			str = str.replace(" " + punc, punc); //$NON-NLS-1$
-		}
-
-		return str;
-	}
-
-	/**
-	 * Format.
-	 *
-	 * @param str the str
-	 * @param lang the lang
-	 * @return the string
-	 */
-	public static String format(String str, Object lang) {
-		if (lang == null)
-			lang = Locale.getDefault().getLanguage();
-		return format(str, lang.toString());
-	}
-}
+
+		if (lang.startsWith("fr") || lang.startsWith("FR")) //$NON-NLS-1$ //$NON-NLS-2$
+			return (FRNoSpaceAfter);
+		else if (lang.startsWith("en") || lang.startsWith("EN") //$NON-NLS-1$ //$NON-NLS-2$
+				|| lang.startsWith("us") || lang.startsWith("US")) //$NON-NLS-1$ //$NON-NLS-2$
+			return (ENNoSpaceAfter);
+		else
+			return (ENNoSpaceAfter);
+	}
+
+	/**
+	 * Format.
+	 *
+	 * @param str
+	 *            the str
+	 * @param lang
+	 *            the lang
+	 * @return the string
+	 */
+	public static String format(String str, String lang) {
+		if (lang == null)
+			lang = Locale.getDefault().getLanguage();
+		for (String punc : getNoSpaceAfter(lang)) {
+			str = str.replace(punc + " ", punc); //$NON-NLS-1$
+		}
+
+		for (String punc : getNoSpaceBefore(lang)) {
+			str = str.replace(" " + punc, punc); //$NON-NLS-1$
+		}
+
+		return str;
+	}
+
+	/**
+	 * Format.
+	 *
+	 * @param str
+	 *            the str
+	 * @param lang
+	 *            the lang
+	 * @return the string
+	 */
+	public static String format(String str, Object lang) {
+		if (lang == null)
+			lang = Locale.getDefault().getLanguage();
+		return format(str, lang.toString());
+	}
+}
Index: tmp/org.txm.utils/src/org/txm/utils/i18n/Localizer.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/i18n/Localizer.java	(revision 2401)
+++ tmp/org.txm.utils/src/org/txm/utils/i18n/Localizer.java	(revision 2402)
@@ -44,7 +44,7 @@
 
 	/** The cls. */
 	private final Class<?> cls;
-	
+
 	/** The loc. */
 	private final Locale loc;
 
@@ -67,8 +67,10 @@
 	/**
 	 * Instantiates a new localizer.
 	 *
-	 * @param cls the cls
-	 * @param loc the loc
+	 * @param cls
+	 *            the cls
+	 * @param loc
+	 *            the loc
 	 */
 	public Localizer(Class<?> cls, Locale loc) {
 		this.cls = cls;
@@ -114,8 +116,7 @@
 	 * @return the string
 	 */
 	public String message(String key, Object arg1, Object arg2) {
-		return MessageFormat
-				.format(getString(key), new Object[] { arg1, arg2 });
+		return MessageFormat.format(getString(key), new Object[] { arg1, arg2 });
 	}
 
 	/**
@@ -135,11 +136,12 @@
 	/**
 	 * Query the bundle for the string corresponding to a key.
 	 * 
-	 * If a given key does not exist in the loaded bundle, this class look for
-	 * the key in a bundle with locale "en", "US". It the key is still not
-	 * found, it return the key itself.
+	 * If a given key does not exist in the loaded bundle, this class look for the
+	 * key in a bundle with locale "en", "US". It the key is still not found, it
+	 * return the key itself.
 	 *
-	 * @param key the key
+	 * @param key
+	 *            the key
 	 * @return the string
 	 */
 	private String getString(String key) {
@@ -162,9 +164,7 @@
 	private ResourceBundle getBundle() {
 		if (bundle == null) {
 			String s = getRessourcePrefix();
-			bundle = loc == null ? ResourceBundle.getBundle(s
-					+ UtilsCoreMessages.Localizer_1) : ResourceBundle.getBundle(s
-					+ UtilsCoreMessages.Localizer_1, loc);
+			bundle = loc == null ? ResourceBundle.getBundle(s + UtilsCoreMessages.Localizer_1) : ResourceBundle.getBundle(s + UtilsCoreMessages.Localizer_1, loc);
 		}
 		return bundle;
 	}
@@ -177,8 +177,7 @@
 	private ResourceBundle getDefaultBundle() {
 		if (default_bundle == null) {
 			String s = getRessourcePrefix();
-			default_bundle = ResourceBundle.getBundle(s + UtilsCoreMessages.Localizer_1,
-					new Locale("en", "US")); //$NON-NLS-1$//$NON-NLS-2$ 
+			default_bundle = ResourceBundle.getBundle(s + UtilsCoreMessages.Localizer_1, new Locale("en", "US")); //$NON-NLS-1$//$NON-NLS-2$
 		}
 		return default_bundle;
 	}
Index: tmp/org.txm.utils/src/org/txm/utils/saxon/SaxonNodeSet.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/saxon/SaxonNodeSet.java	(revision 2401)
+++ tmp/org.txm.utils/src/org/txm/utils/saxon/SaxonNodeSet.java	(revision 2402)
@@ -1,5 +1,6 @@
 package org.txm.utils.saxon;
 //The implementation of exslt node-set() function for Saxon-HE processor
+
 //Usage:
 //final TransformerFactory factory = new net.sf.saxon.TransformerFactoryImpl();
 //((TransformerFactoryImpl) factory).getConfiguration().registerExtensionFunction(new SaxonNodeSet());
@@ -14,16 +15,15 @@
 import net.sf.saxon.value.SequenceType;
 
 @SuppressWarnings("serial") //$NON-NLS-1$
-public class SaxonNodeSet extends ExtensionFunctionDefinition
-{
+public class SaxonNodeSet extends ExtensionFunctionDefinition {
 	@Override
-	public SequenceType[] getArgumentTypes() { 
-		return new SequenceType[] { SequenceType.NODE_SEQUENCE }; 
+	public SequenceType[] getArgumentTypes() {
+		return new SequenceType[] { SequenceType.NODE_SEQUENCE };
 	}
 
 	@Override
-	public StructuredQName getFunctionQName() { 
-		return new StructuredQName("", "http://exslt.org/common", "node-set");  //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+	public StructuredQName getFunctionQName() {
+		return new StructuredQName("", "http://exslt.org/common", "node-set"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 	}
 
 	@Override
@@ -32,20 +32,17 @@
 	}
 
 	@Override
-	public boolean trustResultType() { 
+	public boolean trustResultType() {
 		return true;
 	}
 
 	@Override
-	public ExtensionFunctionCall makeCallExpression()
-	{
+	public ExtensionFunctionCall makeCallExpression() {
 		return new ExtensionFunctionCall() {
 			@Override
-			public SequenceIterator call(final SequenceIterator[] arguments, final XPathContext context)
-					throws XPathException
-					{
+			public SequenceIterator call(final SequenceIterator[] arguments, final XPathContext context) throws XPathException {
 				return arguments[0];
-					}
+			}
 		};
 	}
 
